RC-Burst rifle
AR-7 95mm SMG
MA-50 Assault MG
SRS900 Rifle
Assault cannon
GA-85 Energy rifle (red)
FRC type-E4
RX-Buster rifle
AR-03 Rhino mk2
RX-Megarifle
GA-80 Railcannon
Energy Blade
Self-destruct bomb
Aile striker-pack
Type-3 Mobile Suit
Type-3 Mobile Suit
1
